GET
/finetuning/model_types/
curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/finetuning/model_types/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/gpu/finetuning/model_types/", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/gpu/finetuning/model_types/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”project_id
required
integer
Project ID
active_iam
integer
Active IAM ID (To access contact person account) Find your Active IAM ID here
location
required
string
Location
Responses
Section titled “Responses”Successful response with a list of models.
Media typeapplication/json
object
code
HTTP status code for the operation.
integer
data
List of models.
Array<object>
object
name
Name of the model.
string
description
A brief description of the model.
string
is_internal
Indicates if the model is internal.
boolean
model_icon_url
URL for the model icon image.
string
errors
Contains any errors that occurred.
object
message
Result message confirming the operation.
string
Example
{ "code": 200, "data": [ { "name": "meta-llama/Llama-2-7b-hf", "description": "Model For Finetuning LLAMA", "is_internal": false, "model_icon_url": "/framework/llma2.jpeg" } ], "errors": {}, "message": "Success"}